Bug 181230 - AssertionError from CloneableEditor$DoInitialize.initNonVisual
AssertionError from CloneableEditor$DoInitialize.initNonVisual
Status: RESOLVED WORKSFORME
Product: platform
Classification: Unclassified
Component: Data Systems
6.x
PC Linux
: P3 (vote)
: 8.0
Assigned To: Jaroslav Havlin
issues@platform
http://deadlock.netbeans.org/hudson/j...
: RANDOM, TEST
Depends on: 203843
Blocks: 138686
  Show dependency treegraph
 
Reported: 2010-02-25 11:34 UTC by Jesse Glick
Modified: 2013-09-06 01:37 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Test output (27.25 KB, text/plain)
2010-02-25 11:34 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2010-02-25 11:34:01 UTC
support.getDocument() == null.
Comment 1 Jesse Glick 2010-02-25 11:34:50 UTC
Created attachment 94524 [details]
Test output
Comment 2 Quality Engineering 2010-02-25 22:17:18 UTC
Integrated into 'main-golden', will be available in build *201002260200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/c0131208d71d
User: Jesse Glick <jglick@netbeans.org>
Log: #181230: random failure.
Comment 3 David Strupl 2013-08-23 15:14:37 UTC
Randomly failing test in loaders --> reassigning to loaders.

After Mila's recent changes the exception might (or might not) be gone. But the owner of loaders should review the test (and its stability in recent builds).
Comment 4 Jaroslav Havlin 2013-09-04 15:18:58 UTC
The test was stable in recent builds.

Removing the @RandomlyFails annotation:
http://hg.netbeans.org/core-main/rev/9848aadb47dd
Comment 5 Quality Engineering 2013-09-06 01:37:13 UTC
Integrated into 'main-silver', will be available in build *201309060001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/9848aadb47dd
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #181230: Remove @RandomlyFails from DefaultDataObjectTest.testRenameOpenComponent()


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo